server.port=8080
#server.error.include-message=always

spring.h2.console.enabled=true
spring.datasource.url=jdbc:h2:mem:etaskify_db
spring.datasource.driverClassName=org.h2.Driver
spring.datasource.username=sa
spring.datasource.password=12345
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect

spring.jpa.hibernate.ddl-auto=update
spring.jpa.show-sql=true

#Email configuration
spring.mail.host=smtp.gmail.com
spring.mail.port=587
spring.mail.username=aslan.rustamov1995@gmail.com
spring.mail.password=rryrpnhywqxhzzjx
spring.mail.properties.mail.smtp.auth=true
spring.mail.properties.mail.smtp.starttls.enable=true

app.jwtSecretKey=secretkey

spring.mvc.pathmatch.matching-strategy = ANT_PATH_MATCHER
